Subject: Re: http://www.ietf.org/internet-drafts/draft-ietf-opes-protocol- re qs-00.txt

From: Markus Hofmann <[email-masked]>
Date: Thu, 30 May 2002 18:36:58 -0400

Rochberger, Haim wrote:

 > Is it required in the callout server protocol that the OPES
 > dispacher (or engine...) is able to specify both: the services
 > needed to be performed on a specific message, and WHO is to perform
 > these services, and also the order it is to be done?

Section 3.11 requires the protocol to provide a capability that allows 
indication of the service(s) to be performed on the message. The 
entity executing the requested service will be the destination of the 
callout message, i.e. you send the callout message to a callout 
server, and the callout server has to execute this service. There's no 
notion of chaining callout servers, or of further (iterative) dispatching.

-Markus

---

From: "Abbie Barbir" <[email-masked]>
Date: Fri, 31 May 2002 11:26:54 -0400

at a first cut, chaining gets second priority.

however, the architetcture does not preclude it. chaining can be addressed
later once the main issues are resolved.

abbie

> -----Original Message-----
> From: Andre Beck [mailto:[email-masked]]
> Sent: Friday, May 31, 2002 10:29 AM
> To: Rochberger, Haim
> Cc: Markus Hofmann; OPES Group
> Subject: Re:
> http://www.ietf.org/internet-drafts/draft-ietf-opes-protocol- re
> qs-00.txt
> 
> 
> 
> Rochberger, Haim wrote:
> > Is it still possible to add this requirement ? I mean 
> chaining callout 
> > servers ?
> > 
> > This may improve the performance in case you have a few 
> callout servers 
> > that need to handle a specific message in order.
> 
> Callout server chaining would add a lot of complexity to callout 
> transactions and callout servers, e.g. in terms of error handling, 
> fail-over, tracing, trust relationships etc. I can only see 
> performance 
> benefits in cases where the distance between the callout servers is 
> shorter than the distance between the OPES processor and the callout 
> servers. However, I think whenever the performance of callout 
> transactions is critical, it is much more likely that the callout 
> servers will be co-located with the OPES processor, i.e. in the same 
> domain. Hence the distance between the OPES processor and callout 
> servers would be similar to the distance between the callout 
> servers and 
> there wouldn't be much of a performance benefit any more with callout 
> chaining.
> 
> -Andre
> 
> 
>

---

From: "Rochberger, Haim" <[email-masked]>
Date: Fri, 31 May 2002 23:52:43 +0300

Hi Andre,

Thanks for the quick reply.
I see your point, but since I see the callout servers as an "expert server"
who is giving a specific, non trivial service, 
then I can see a model of such service providers who own those servers, and
whoever has a trusting relations with - it may give that service to, and
charge for it.

Now I don't think the issue should be whether they are close by or not, but
since there could be a situation that performance both on a specific
message, and the OPES engine, is important, then the question is if I can
propose to add an OPTION for the OPES engine to specify in the callout
protocol (whatever it will be) a list of the trusted servers and their
order, and insert a security signature on the list so that the chain of
trust can be achieved, and billing too. and add mechanism so that each
server on the chain must notify the OPES engine  on his activity and status
in a secured way, This can eventually be an option that in the local domain
with no performance issues be ignored... but if the implementations WILL
need it and will not have it standardized - will not use this OPES mechanism
altogether.

I do understand that this is a "second stage" issue now - as the first
specification still on the way, but if someone volunteers to take this issue
under their wings...?

Are there other members who feel this should be at list optional ?

Warm regards,

Haim Rochberger
System Architect
Comverse
Mobile Internet & Broadband Division
Office: +972-3-766-9121
Mobile: +972-54-970-504
Email: [email-masked] <mailto:[email-masked]>

-----Original Message-----
From: Andre Beck [mailto:[email-masked]]
Sent: Fri, May 31, 2002 5:29 PM
To: Rochberger, Haim
Cc: Markus Hofmann; OPES Group
Subject: Re:

Rochberger, Haim wrote:
> Is it still possible to add this requirement ? I mean chaining callout 
> servers ?
> 
> This may improve the performance in case you have a few callout servers 

fail-over, tracing, trust relationships etc. I can only see performance 
servers would be similar to the distance between the callout servers and 

-Andre